%define name 	furiusisomount
%define version 0.11.1.2
%define release %mkrel 1

Summary:   CD/DVD Image Mounting Application
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPLv3
Group:     Archiving/Other
URL:       https://launchpad.net/furiusisomount/
Source0:   https://launchpad.net/furiusisomount/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python
Requires: nautilus
Requires: pygtk2.0
Requires: pygtk2.0-libglade
Requires: fuseiso
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description
Description: An ISO, IMG, BIN, MDF and NRG image management utility
Furius ISO Mount is a simple application for mounting .iso, .img, .bin, .mdf
and .ng image files without burning them to disk.

It provides the following features:
- Automatically Mounts ISO, IMG, BIN, MDF and NRG image files.
- Automatically creates a mount point in your home directory.
- Automatically Unmounts the Image files.
- Automatically removes the mount directory to return your home directory to
its previous state.
- Automatically saves the history of the last 10 images mounted.
- Mounts multiple images.
- Burn ISO and IMG Files to optical disk.
- Generate Md5 and SHA1 checksums.
- Automatically retrieves any previously unmounted images.
- Automatically generates a log file of all commands needed to mount and
unmount images manually.


%prep
%setup -q 

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -af pix res src %{buildroot}%{_datadir}/%{name}

# menu and icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 pix/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
convert %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize 48 \
%{buildroot}%{_datadir}/pixmaps/%{name}.png

#launcher
mkdir -p %{buildroot}%{_bindir}
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}/src
python main.py $*
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Furius ISO Mount
Comment=CD/DVD Image Mounting application
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Utility;X-MandrivaLinux-System-Archiving-Other;
EOF

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files 
%defattr(-,root,root)
%doc doc/gpl.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png


%changelog
* Sat Oct 24 2009 slick50 <lxgator at gmail.org> 0.11.1.2-1pclos2010
- 0.11.1.2
- move to python & dropped mono 

* Sun May 25 2009 Texstar <texstar@gmail.com> 0.9.0.1-2pclos2009
- fix rpm group

* Tue Aug 12 2008 slick50 <slick50@linuxgator.org> 0.9.0.1-1pclos2007
- 0.9.0.1

* Tue Jul 29 2008 slick50 <slick50@linuxgator.org> 0.9.0.0-1pclos2007
- Import to PCLinuxOS
